OpenJPEG: box_param Struct Reference

OpenJPEG 2.5.3

Data Fields
box_param Struct Reference

box parameters More...

`#include <box_manager.h>`

## Data Fields
int | fd
| file descriptor
OPJ_OFF_T | offset
| byte position of the whole Box (LBox) in the file
Byte_t | headlen
| header length 8 or 16
Byte8_t | length
| length of the whole Box
char | type [4]
| type of information in the DBox
struct box_param * | next
| pointer to the next box

## Detailed Description

box parameters

## Field Documentation

## ◆ fd

int box_param::fd

file descriptor

Referenced by const_metadatalist(), fetch_DBox1byte(), fetch_DBox2bytebigendian(), fetch_DBox4bytebigendian(), fetch_DBox8bytebigendian(), fetch_DBoxbytes(), fetch_headbytes(), gene_boxbyOffinStream(), gene_boxbyOffset(), gene_boxbyType(), gene_boxbyTypeinStream(), gene_childboxbyOffset(), gene_childboxbyType(), gene_childboxheader(), set_cidxdata(), set_cptrdata(), set_mainmhixdata(), set_ppixdata(), set_thixdata(), and set_tpixdata().

## ◆ headlen

Byte_t box_param::headlen

header length 8 or 16

Referenced by fetch_headbytes(), gene_boxbyOffinStream(), gene_boxbyOffset(), gene_boxbyType(), gene_boxbyTypeinStream(), gene_placeholder(), get_DBoxlen(), get_DBoxoff(), and print_box().

## ◆ length

Byte8_t box_param::length

length of the whole Box

Referenced by check_JP2boxidx(), enqueue_box(), gene_boxbyOffinStream(), gene_boxbyOffset(), gene_boxbyType(), gene_boxbyTypeinStream(), get_boxstructure(), get_DBoxlen(), print_box(), set_ppixdata(), and set_thixdata().

## ◆ next

struct box_param* box_param::next

pointer to the next box

Referenced by const_metadatalist(), delete_box_in_list(), delete_boxlist(), enqueue_box(), gene_boxbyOffinStream(), gene_boxbyOffset(), gene_boxbyType(), gene_boxbyTypeinStream(), insert_box_into_list(), print_allbox(), search_box(), and search_metadataidx().

## ◆ offset

OPJ_OFF_T box_param::offset

byte position of the whole Box (LBox) in the file

Referenced by check_JP2boxidx(), enqueue_box(), fetch_headbytes(), gene_boxbyOffinStream(), gene_boxbyOffset(), gene_boxbyType(), gene_boxbyTypeinStream(), get_DBoxoff(), print_box(), set_ppixdata(), and set_thixdata().

## ◆ type

char box_param::type[4]

type of information in the DBox

Referenced by const_metadatalist(), gene_boxbyOffinStream(), gene_boxbyOffset(), gene_boxbyType(), gene_boxbyTypeinStream(), print_box(), search_box(), and search_metadataidx().

The documentation for this struct was generated from the following file:

- box_manager.h